--- title: "Delete Attack Set Profile" slug: "delete-attack-set-profile" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:38:58Z published: 2026-09-23T09:38:58Z canonical: "docs.trellix.com/delete-attack-set-profile" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Attack Set Profile This URL deletes the created attack set profile. ## Resource URL DELETE /domain// attacksetprofile/deleteruleset/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | domainId | Domain id | Number | Yes | | policyId | Policy id | Number | Yes | Payload Parameters None ## Response Parameters Following fields are returned if the operation was successful, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Set to 1 if the operation was successful | Number | ## Example **Request** DELETE [https:///sdkapi/domain//attacksetprofile/deletruleset/](https://%3CNSM_IP%3E/sdkapi/domain/%3CdomainId%3E/attacksetprofile/deletruleset/%3CpolicyId%3E) **Payload** None **Response** ``` { status:1           } ```   ## Error Information Following error codes are returned by this URL: | No | SDK API errorId | SDK API errorMessage | | --- | --- | --- | | 1 | 1105 | Invalid domain | | 2 | 7001 | Invalid policy id | | 3 | 7001 | Rule set is used by other policies |